	PROGRAM EASYPARALLEL

	PARAMETER (N = 2**29)
	REAL A(N)
	REAL B(N)
	DO I = 1,N
		B(I) = I*3.14159 + N - I
	ENDDO

	DO I = 1,N
		A(I) = B(I) * 3.14159
	ENDDO
	END

c Ejemplo de paralelización automática con Graphite (http://gcc.gnu.org/wiki/Graphite/Parallelization)
c
c gfortran -O3 -floop-parallelize-all -ftree-parallelize-loops=4 hpc_p123.f && perf stat -e task-clock ./a.out
c
c Probablemente también se necesite -mcmodel=large si el N pasa del 2**28.
